IARRAY_CREATE(3)

FUNCTION
iarray_create - Create an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

iarray iarray_create

(unsigned int type, unsigned int num_dim, CONST char **dim_names, CONST unsigned long *dim_lengths, CONST char *elem_name, iarray old_array)

DESCRIPTION
This routine will create an "Intelligent Array", using the Karma general data structure format as the underlying data format. If the environment variable "IARRAY_ALLOC_DEBUG" is set to "TRUE" then the routine will print allocation debugging information.

type
    The desired type of the data elements. See <-ds_KARMA_DATA_TYPES-> for a list of defined data types.

num_dim
    The number of dimensions the array must have.

dim_names
    The names of the dimensions. If this is NULL, the default names "Axis 0", "Axis 1", etc. are used.

dim_lengths
    The lengths of the dimensions. The first entry in this array and the <<dim_names>> array refers to the most significant dimension (i.e. the dimension with the greatest stride in memory).

elem_name
    The name of the element. If this is NULL, the default name "Data Value" is choosen.

old_array
    Any auxilary information not representable with "Intelligent Arrays" which is to be included in the Karma data format is copied from here. If this is NULL, no auxilary information is copied.

RETURN VALUE
A dynamically allocated intelligent array on success, else an error message is printed to the standard output and NULL is returned.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/